# lm75_read_Thyst_mit_mem_1.py
# 25.11.2025
# www.g-heinrichs.de

# Thyst-Wert lesen (Default-Wert: 75 °C)
# nur ganze nicht negative Zahlen

from time import sleep
from machine import Pin, I2C

i2c = I2C(1, scl = Pin(22), sda = Pin(21), freq = 100_000)

addr = 0x48
pointer = 2 # Thyst-Register
thyst_value_byte = i2c.readfrom_mem(addr, pointer, 1)
thyst_value = thyst_value_byte[0]
print(thyst_value)






